Inventory

Redeem Reward

POST
/reward/redeem

Redeem a reward for the currently logged in user.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Request Body

application/json

code*string

Response Body

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/reward/redeem" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
[
  {
    "redeemedRewards": [
      {
        "data": {
          "badge": {
            "createdAt": "2019-08-24T14:15:22Z",
            "createdBy": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
            "description": "string",
            "fileName": "string",
            "hidden": true,
            "id": "bdg_a60e514a-8cb7-4702-8f24-2786992be1a8",
            "imageUrl": "string",
            "isLocalizationEnabled": true,
            "machineName": "string",
            "name": "string",
            "type": "string",
            "updatedAt": "2019-08-24T14:15:22Z"
          },
          "item": {
            "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
            "collections": [
              "string"
            ],
            "created_at": "2025-06-12T20:21:15.056Z",
            "defaultAttributes": {},
            "description": "string",
            "equipSlots": [
              "string"
            ],
            "flags": [
              "string"
            ],
            "id": "invt_b80ce14b-038b-4f56-b970-d232771d62e3",
            "imageUrl": "string",
            "itemType": "prop",
            "itemTypeLabel": "string",
            "metadata": {
              "animated": true,
              "animationStyle": "string",
              "assetBundleId": "string",
              "fileId": "string",
              "imageUrl": "string",
              "inventoryItemsToInstantiate": [
                "invt_b80ce14b-038b-4f56-b970-d232771d62e3"
              ],
              "maskTag": "string",
              "propId": "prop_829ba6f6-b837-49d9-b9a9-056b82103b58"
            },
            "name": "string",
            "notificationDetails": {
              "body": "string",
              "imageUrl": "string",
              "title": "string"
            },
            "status": "live",
            "tags": [
              "string"
            ],
            "updated_at": "2025-06-10T20:37:31.837Z",
            "validateUserAttributes": true
          }
        },
        "type": "string"
      }
    ],
    "redemptionCode": "string"
  }
]
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}